*"表題 軸ヘッダーパック GTOOL3(GHPACA)
*
*"履歴 90/09/21 沼口  敦
*
*
***********************************************************************
*"         << 格子情報ヘッダーパック >>
**********************************************************************
      SUBROUTINE GHPACA
     O         ( HHEADA,
     I           HKIND , HITEM ,
     I           HTITL , HUNIT ,
     I           IXDIM ,
     I           HDFMT , VMISS ,
     I           DMIN  , DMAX  , DIVS  , DIVL  , ISTYP  )
*
      CHARACTER  HHEADA ( * )*(*)        !" ヘッダー
      CHARACTER  HKIND       *(*)        !" 格子情報の種類
      CHARACTER  HITEM       *(*)        !" 格子識別名称
      CHARACTER  HTITL       *(*)        !" 軸タイトル
      CHARACTER  HUNIT       *(*)        !" 単位
      INTEGER    IXDIM                   !" 格子数
      CHARACTER  HDFMT       *(*)        !" データフォーマット
      REAL       VMISS                   !" 欠損値の値
      REAL       DMIN                    !" レンジ(最小)
      REAL       DMAX                    !" レンジ(最大)
      REAL       DIVS                    !" 間隔(小)
      REAL       DIVL                    !" 間隔(大)
      INTEGER    ISTYP                   !" スケーリングタイプ
*
#ifdef SYS_IBMS
      INCLUDE    (GZSIZE)                !" NCC, NDC
#else
#include         "gzsize.F"              !" NCC, NDC
#endif
      CHARACTER  HTIME       *(NCC)
      CHARACTER  HSIGN       *(NCC)      !" データ作成者
*
      CALL    GUQNOW ( HTIME )
      CALL    GTCGET ( 'MYSIGN', HSIGN  )
*
      IF ( HKIND(1:1) .EQ. 'C' ) THEN
         IXDIMD = IXDIM + 1
      ELSE
         IXDIMD = IXDIM
      ENDIF
*
      CALL    GHPACK
     O         ( HHEADA,
     I           HKIND , HITEM , 1     , 1    ,
     I           HTITL , HUNIT ,
     I           0     , HTIME , 'SEC' , 1    ,
     I           HITEM , 1     , IXDIMD,
     I           ' '   , 1     , 1     ,
     I           ' '   , 1     , 1     ,
     I           HDFMT , VMISS ,
     I           DMIN  , DMAX  , DIVS  , DIVL  , ISTYP ,
     I           HTIME , HSIGN                           )
*
      RETURN
      END
